GDB (xrefs)

Classes | Macros | Variables
/tmp/gdb-8.1/gdb/xtensa-xtregs.c File Reference

Go to the source code of this file.

## Classes
struct | xtensa_regtable_t

## Macros
#define | XTENSA_ELF_XTREG_SIZE 4

## Variables
const xtensa_regtable_t | xtensa_regmap_table []

## Macro Definition Documentation

## ◆ XTENSA_ELF_XTREG_SIZE

#define XTENSA_ELF_XTREG_SIZE 4

Definition at line 32 of file xtensa-xtregs.c.

Referenced by fetch_xtregs(), and store_xtregs().

## Variable Documentation

## ◆ xtensa_regmap_table

const xtensa_regtable_t xtensa_regmap_table[]

Initial value:
=
{
{ 44, 176, 0, 0, 4, -1, 0x020c, "scompare1" },
{ 0 }
}

Definition at line 34 of file xtensa-xtregs.c.

Referenced by _initialize_xtensa_linux_nat(), fetch_xtregs(), and store_xtregs().